Bug 16251 - Material type is not correctly set for Rancor 008 widget
Summary: Material type is not correctly set for Rancor 008 widget
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P1 - high major with 30 votes (vote)
Assignee: Julian Maurice
QA Contact: Josef Moravec
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-04-12 22:02 UTC by Jesse Weaver
Modified: 2019-03-26 06:23 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16251: Fix value of material select for Rancor 008 widget (3.42 KB, patch)
2019-03-06 08:05 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 16251: Fix value of material select for Rancor 008 widget (3.48 KB, patch)
2019-03-06 19:44 UTC, Michal Denar
Details | Diff | Splinter Review
Bug 16251: Fix value of material select for Rancor 008 widget (3.53 KB, patch)
2019-03-07 11:42 UTC, Josef Moravec
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Weaver 2016-04-12 22:02:57 UTC
This should likely use the same mapping as the old widget:

Field 008/18-34 Configuration
If Leader/06 = a and Leader/07 = a, c, d, or m: Books
If Leader/06 = a and Leader/07 = b, i, or s: Continuing Resources
If Leader/06 = t: Books
If Leader/06 = c, d, i, or j: Music
If Leader/06 = e, or f: Maps
If Leader/06 = g, k, o, or r: Visual Materials
If Leader/06 = m: Computer Files
If Leader/06 = p: Mixed Materials
Comment 1 Jana Doyle 2018-06-28 17:54:27 UTC
The widget needs to add a selected="selected" parameter to the select tag based on the value in the physical description field in the 007 (and similar fix for the 008). Otherwise the browser selects the first value by default, which is usually not the correct value.
Comment 2 Julian Maurice 2019-03-06 08:05:55 UTC
Created attachment 86130 [details] [review]
Bug 16251: Fix value of material select for Rancor 008 widget

The material type is selected in accordance with the leader (06-07)

Test plan:
1. Create a new record using the advanced editor
2. Set the leader 6th position to 'c'
3. Save the record and reload the page
4. 'Music' should be automatically selected for 008
5. Try other values for the leader 6th and 7th positions

See comment 0 of this bug for the complete mapping
Comment 3 Michal Denar 2019-03-06 19:44:58 UTC
Created attachment 86213 [details] [review]
Bug 16251: Fix value of material select for Rancor 008 widget

The material type is selected in accordance with the leader (06-07)

Test plan:
1. Create a new record using the advanced editor
2. Set the leader 6th position to 'c'
3. Save the record and reload the page
4. 'Music' should be automatically selected for 008
5. Try other values for the leader 6th and 7th positions

See comment 0 of this bug for the complete mapping

Signed-off-by: Michal Denar <black23@gmail.com>
Comment 4 Josef Moravec 2019-03-07 11:42:45 UTC
Created attachment 86239 [details] [review]
Bug 16251: Fix value of material select for Rancor 008 widget

The material type is selected in accordance with the leader (06-07)

Test plan:
1. Create a new record using the advanced editor
2. Set the leader 6th position to 'c'
3. Save the record and reload the page
4. 'Music' should be automatically selected for 008
5. Try other values for the leader 6th and 7th positions

See comment 0 of this bug for the complete mapping

Signed-off-by: Michal Denar <black23@gmail.com>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 5 Nick Clemens 2019-03-07 21:19:53 UTC
Awesome work all!

Pushed to master for 19.05
Comment 6 Martin Renvoize 2019-03-12 08:39:22 UTC
Pushed to 18.11.x for 18.11.04
Comment 7 Lucas Gass 2019-03-15 16:49:16 UTC
backported to 18.05.x for 18.05.11
Comment 8 Fridolin SOMERS 2019-03-26 06:23:51 UTC
Pushed to 17.11.x for 17.11.17